package sgc.portal.co.co0108.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0108.dto.CO01080001USearch;
import sgc.portal.co.co0108.service.CO01080001UService;

@RestController
@RequestMapping("/co/co0108")
public class CO01080001UController {
    private final CO01080001UService service;

    public CO01080001UController(CO01080001UService service) {
        this.service = service;
    }
    
    @PostMapping("/CO01080001U/list1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CO01080001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CO01080001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CO01080001USearch search) {
        return service.getList2(search);
    }
    
    @PostMapping("/CO01080001U/list3")
    public List<EasyHashMap<String, Object>> getList3(@RequestBody CO01080001USearch search) {
        return service.getList3(search);
    }
    
}
